Get Location Aliases
/applications/{applicationName}/databases/{databaseName}/locationaliases
Gets details about location aliases defined on the database.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
-
applicationName:
Location alias target application name.
-
databaseName:
Location alias target database name.
-
limit:
Maximum number of location aliases to return.
-
offset:
Number of items to omit from the start of the result set.
-
serverName:
Location alias target server name.
Response
200 Response
OK
Location aliases returned successfully.
400 Response
Bad Request
Failed to get location alias details.
500 Response
Internal Server Error.
Examples
The following example shows how retrieve information about location aliases defined on the Essbase database (cube).
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locationaliases?links=none" -H "Accept:application/json" -u %User%:%Password%
Example of Response Body
{
"items" : [ {
"aliasName" : "EasternDB",
"serverName" : "https://myserver.example.com:9001/essbase/agent",
"userName" : "",
"applicationName" : "Eastern",
"databaseName" : "Sales",
"applicationLevelConnection" : false
} ],
"totalResults" : 1,
"limit" : 1,
"count" : 1
}